export interface DeviceModeParameterVO {
  /**
   * 设备属性参数ID
   */
  modeParameterId: string | number;

  /**
   * 设备模型功能ID，关联表hw_device_mode_function的字段mode_function_id
   */
  modeFunctionId: string | number;

  /**
   * 设备属性参数ID,关联本表的字段mode_parameter_id。如果数据类型为struct类型，定义json参数时需要用此字段
   */
  releatedParameterId: string | number;

  /**
   * 参数类型（1、输入参数，2、输出参数）
   */
  parameterType: string;

  /**
   * 参数名称
   */
  parameterName: string;

  /**
   * 标识符（支持大小写字母、数字和下划线，对外暂时不超过50个字符）
   */
  parameterIdentifier: string | number;

  /**
   * 数据类型（在平台字典表中定义）
   */
  dataType: number;

  /**
   * 数据定义
   */
  dataDefinition: string;

  /**
   * 单位
   */
  propertyUnit: string;

  /**
   * 预留字段，步长
   */
  propertyStep: number;

}

export interface DeviceModeParameterForm extends BaseEntity {
  /**
   * 设备属性参数ID
   */
  modeParameterId?: string | number;

  /**
   * 设备模型功能ID，关联表hw_device_mode_function的字段mode_function_id
   */
  modeFunctionId?: string | number;

  /**
   * 设备属性参数ID,关联本表的字段mode_parameter_id。如果数据类型为struct类型，定义json参数时需要用此字段
   */
  releatedParameterId?: string | number;

  /**
   * 参数类型（1、输入参数，2、输出参数）
   */
  parameterType?: string;

  /**
   * 参数名称
   */
  parameterName?: string;

  /**
   * 标识符（支持大小写字母、数字和下划线，对外暂时不超过50个字符）
   */
  parameterIdentifier?: string | number;

  /**
   * 数据类型（在平台字典表中定义）
   */
  dataType?: number;

  /**
   * 数据定义
   */
  dataDefinition?: string;

  /**
   * 单位
   */
  propertyUnit?: string;

  /**
   * 预留字段，步长
   */
  propertyStep?: number;

}

export interface DeviceModeParameterQuery extends PageQuery {

  /**
   * 设备属性参数ID
   */
  modeParameterId?: string | number;

  /**
   * 设备模型功能ID，关联表hw_device_mode_function的字段mode_function_id
   */
  modeFunctionId?: string | number;

  /**
   * 设备属性参数ID,关联本表的字段mode_parameter_id。如果数据类型为struct类型，定义json参数时需要用此字段
   */
  releatedParameterId?: string | number;

  /**
   * 参数类型（1、输入参数，2、输出参数）
   */
  parameterType?: string;

  /**
   * 参数名称
   */
  parameterName?: string;

  /**
   * 标识符（支持大小写字母、数字和下划线，对外暂时不超过50个字符）
   */
  parameterIdentifier?: string | number;

  /**
   * 数据类型（在平台字典表中定义）
   */
  dataType?: number;

  /**
   * 数据定义
   */
  dataDefinition?: string;

  /**
   * 单位
   */
  propertyUnit?: string;

  /**
   * 预留字段，步长
   */
  propertyStep?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



