export interface DmsBaseDeviceDepreciationVO {
  /**
   * 主键标识
   */
  deviceDepreciationId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 维修次数
   */
  repairFrequency: number;

  /**
   * 维修费用
   */
  repairCosts: number;

  /**
   * 折旧费用
   */
  depreciationCost: number;

  /**
   * 投入时间
   */
  putIntoTime: string;

  /**
   * 使用年限
   */
  useLife: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 设备名称
   */
  machineName: string;

}

export interface DmsBaseDeviceDepreciationForm extends BaseEntity {
  /**
   * 主键标识
   */
  deviceDepreciationId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 维修次数
   */
  repairFrequency?: number;

  /**
   * 维修费用
   */
  repairCosts?: number;

  /**
   * 折旧费用
   */
  depreciationCost?: number;

  /**
   * 投入时间
   */
  putIntoTime?: string;

  /**
   * 使用年限
   */
  useLife?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 设备名称
   */
  machineName?: string;

}

export interface DmsBaseDeviceDepreciationQuery extends PageQuery {

  /**
   * 主键标识
   */
  deviceDepreciationId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 维修次数
   */
  repairFrequency?: number;

  /**
   * 维修费用
   */
  repairCosts?: number;

  /**
   * 折旧费用
   */
  depreciationCost?: number;

  /**
   * 投入时间
   */
  putIntoTime?: string;

  /**
   * 使用年限
   */
  useLife?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备名称
   */
  machineName?: string;
}



