export interface DmsBaseDeviceFilesVO {
  /**
   * 主键标识
   */
  deviceFilesId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 档案编号
   */
  filesCode: string;

  /**
   * 档案名称
   */
  filesName: string;

  /**
   * 档案路径
   */
  filesPath: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备名称
   */
  machineName: string;//join



}

export interface DmsBaseDeviceFilesForm extends BaseEntity {
  /**
   * 主键标识
   */
  deviceFilesId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 档案编号
   */
  filesCode?: string;

  /**
   * 档案名称
   */
  filesName?: string;

  /**
   * 档案路径
   */
  filesPath?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备名称
   */
  machineName?: string;//join

  /**
   * 文件
   */
  file?: string | [];

}

export interface DmsBaseDeviceFilesQuery extends PageQuery {

  /**
   * 主键标识
   */
  deviceFilesId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 档案编号
   */
  filesCode?: string;

  /**
   * 档案名称
   */
  filesName?: string;

  /**
   * 档案路径
   */
  filesPath?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备名称
   */
  machineName?: string;//join


}



