export interface DmsBaseDeviceSuppliesVO {
  /**
   * 主键标识
   */
  deviceSuppliesId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 配套信息名称
   */
  suppliesName: string;

  /**
   * 类型（1耗材 2备件）
   */
  suppliesType: string;

  /**
   * 需要数量
   */
  requireAmount: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备名称
   */
  machineName: string;//JOIN

}

export interface DmsBaseDeviceSuppliesForm extends BaseEntity {
  /**
   * 主键标识
   */
  deviceSuppliesId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 配套信息名称
   */
  suppliesName?: string;

  /**
   * 类型（1耗材 2备件）
   */
  suppliesType?: string;

  /**
   * 需要数量
   */
  requireAmount?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备名称
   */
  machineName?: string;//JOIN

}

export interface DmsBaseDeviceSuppliesQuery extends PageQuery {

  /**
   * 主键标识
   */
  deviceSuppliesId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 配套信息名称
   */
  suppliesName?: string;

  /**
   * 类型（1耗材 2备件）
   */
  suppliesType?: string;

  /**
   * 需要数量
   */
  requireAmount?: number;

    /**
     * 日期范围参数
     */
    params?: any;


  /**
   * 设备名称
   */
  machineName?: string;//JOIN
}



