export interface DmsBaseInspectProjectVO {
  /**
   * 主键标识
   */
  inspectProjectId: string | number;

  /**
   * 项目编号
   */
  inspectProjectCode: string;

  /**
   * 巡检项目
   */
  inspectProject: string;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType: string;

  /**
   * 巡检项目属性(1定性 2定量)
   */
  inspectProjectProperty: string;

  /**
   * 记录方式
   */
  recordMethod: string;

  /**
   * 上限
   */
  upLimit: number;

  /**
   * 下限
   */
  lowLimit: number;

  /**
   * 默认值
   */
  defValue: number;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBaseInspectProjectForm extends BaseEntity {
  /**
   * 主键标识
   */
  inspectProjectId?: string | number;

  /**
   * 项目编号
   */
  inspectProjectCode?: string;

  /**
   * 巡检项目
   */
  inspectProject?: string;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 巡检项目属性(1定性 2定量)
   */
  inspectProjectProperty?: string;

  /**
   * 记录方式
   */
  recordMethod?: string;

  /**
   * 上限
   */
  upLimit?: number;

  /**
   * 下限
   */
  lowLimit?: number;

  /**
   * 默认值
   */
  defValue?: number;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsBaseInspectProjectQuery extends PageQuery {

  /**
   * 主键标识
   */
  inspectProjectId?: string | number;

  /**
   * 项目编号
   */
  inspectProjectCode?: string;

  /**
   * 巡检项目
   */
  inspectProject?: string;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 巡检项目属性(1定性 2定量)
   */
  inspectProjectProperty?: string;

  /**
   * 记录方式
   */
  recordMethod?: string;

  /**
   * 上限
   */
  upLimit?: number;

  /**
   * 下限
   */
  lowLimit?: number;

  /**
   * 默认值
   */
  defValue?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



