export interface DmsBaseMaintStationVO {
  /**
   * 主键标识
   */
  maintStationId: string | number;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId: string | number;

  /**
   * 保养标准ID
   */
  maintStandardId: string | number;

  /**
   * 部位编号
   */
  maintStationCode: string;

  /**
   * 部位名称
   */
  maintStationName: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 保养项目ID数组
   */
  maintProjectIds: (string | number)[] | null;

}

export interface DmsBaseMaintStationForm extends BaseEntity {
  /**
   * 主键标识
   */
  maintStationId?: string | number;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 保养标准ID
   */
  maintStandardId?: string | number;

  /**
   * 部位编号
   */
  maintStationCode?: string;

  /**
   * 部位名称
   */
  maintStationName?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 保养项目ID数组
   */
  maintProjectIds?: (string | number)[] | null;

}

export interface DmsBaseMaintStationQuery extends PageQuery {

  /**
   * 主键标识
   */
  maintStationId?: string | number;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 保养标准ID
   */
  maintStandardId?: string | number;

  /**
   * 部位编号
   */
  maintStationCode?: string;

  /**
   * 部位名称
   */
  maintStationName?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 保养项目ID数组
   */
  maintProjectIds?: (string | number)[] | null;
}



