export interface DmsBaseTransferInfoVO {
  /**
   * 主键ID
   */
  transferInfoId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 设备原位置
   */
  devicePosition: string;

  /**
   * 设备转移位置
   */
  devicePositionNew: string;

  /**
   * 设备转移人员
   */
  devicePositionOperator: string;

  /**
   * 设备转移原因
   */
  devicePositionReason: string;

  /**
   * 设备转移时间
   */
  deviceTransferTime: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 设备名称
   */
  machineName: string;//join

}

export interface DmsBaseTransferInfoForm extends BaseEntity {
  /**
   * 主键ID
   */
  transferInfoId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 设备原位置
   */
  devicePosition?: string;

  /**
   * 设备转移位置
   */
  devicePositionNew?: string;

  /**
   * 设备转移人员
   */
  devicePositionOperator?: string;

  /**
   * 设备转移原因
   */
  devicePositionReason?: string;

  /**
   * 设备转移时间
   */
  deviceTransferTime?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 设备名称
   */
  machineName?: string;//join

}

export interface DmsBaseTransferInfoQuery extends PageQuery {

  /**
   * 主键ID
   */
  transferInfoId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 设备原位置
   */
  devicePosition?: string;

  /**
   * 设备转移位置
   */
  devicePositionNew?: string;

  /**
   * 设备转移人员
   */
  devicePositionOperator?: string;

  /**
   * 设备转移原因
   */
  devicePositionReason?: string;

  /**
   * 设备转移时间
   */
  deviceTransferTime?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;


  /**
   * 设备名称
   */
  machineName?: string;//join
}



