export interface DmsBillsFaultInstanceVO {
  /**
   * 主键标识;此表不会长期保存
   */
  repairInstanceId: string | number;

  /**
   * 工单编号
   */
  billsFaultCode: string;

  /**
   * 工单类型（1手工创建 2自动创建）
   */
  instanceType: string;

  /**
   * 报修来源类型(1检修 2点检 3巡检 9其他)
   */
  faultSourceType: string;

  /**
   * 报修来源ID（预留字段不显示）
   */
  faultSourceId: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 申请人
   */
  applyUser: string;

  /**
   * 申请时间
   */
  applyTime: string;

  /**
   * 实际开始时间
   */
  realBeginTime: string;

  /**
   * 实际完成时间
   */
  realEndTime: string;

  /**
   * 要求完成时间
   */
  requireEndTime: string;

  /**
   * 工单状态（0待维修 1维修中 2维修完成）
   */
  billsStatus: string;

  /**
   * 审批状态
   */
  approveStatus: string;

  /**
   * 确认状态（0未确认 1确认完成）
   */
  repairConfirm: string;

  /**
   * 确认人
   */
  confirmUser: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  // 新增字段
  machineCode?: string;
  machineName?: string;
  machineLocation?: string;
  machineSpec?: string;
  imgUrl?: string;
  instanceActivityId?: number;
  faultType?: string;
  faultDescription?: string;
  designOperations?: string;
  repairType?: string;
  outsourcingId?: number;
  processHandleResolution?: string;
  fileUrls?: string[];
  dmsInstanceFiles?: [];
  dmsInstanceFiles1?: [];
  checkedFault?: string;
  repairContent?: string;
  protectedMethod?: string;
  repairer?: string;
  confirmTime?: string;
  componentsPartsId?: number;
  parts?: [];

}

export interface DmsBillsFaultInstanceForm extends BaseEntity {
  /**
   * 主键标识;此表不会长期保存
   */
  repairInstanceId?: string | number;

  /**
   * 工单编号
   */
  billsFaultCode?: string;

  /**
   * 工单类型（1手工创建 2自动创建）
   */
  instanceType?: string;

  /**
   * 报修来源类型(1检修 2点检 3巡检 9其他)
   */
  faultSourceType?: string;

  /**
   * 报修来源ID（预留字段不显示）
   */
  faultSourceId?: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 申请人
   */
  applyUser?: string;

  /**
   * 申请时间
   */
  applyTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际完成时间
   */
  realEndTime?: string;

  /**
   * 要求完成时间
   */
  requireEndTime?: string;

  /**
   * 工单状态（0待维修 1维修中 2维修完成）
   */
  billsStatus?: string;

  /**
   * 审批状态
   */
  approveStatus?: string;

  /**
   * 确认状态（0未确认 1确认完成）
   */
  repairConfirm?: string;

  /**
   * 确认人
   */
  confirmUser?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  // 新增字段
  machineCode?: string;
  machineName?: string;
  machineLocation?: string;
  machineSpec?: string;
  imgUrl?: string;
  instanceActivityId?: number;
  faultType?: string;
  faultDescription?: string;
  designOperations?: string;
  repairType?: string;
  outsourcingId?: number;
  processHandleResolution?: string;
  fileUrls?: string[];
  dmsInstanceFiles?: [];
  dmsInstanceFiles1?: [];
  checkedFault?: string;
  repairContent?: string;
  protectedMethod?: string;
  repairer?: string;
  confirmTime?: string;
  componentsPartsId?: number;
  parts?: [];

}

export interface DmsBillsFaultInstanceQuery extends PageQuery {

  /**
   * 主键标识;此表不会长期保存
   */
  repairInstanceId?: string | number;

  /**
   * 工单编号
   */
  billsFaultCode?: string;

  /**
   * 工单类型（1手工创建 2自动创建）
   */
  instanceType?: string;

  /**
   * 报修来源类型(1检修 2点检 3巡检 9其他)
   */
  faultSourceType?: string;

  /**
   * 报修来源ID（预留字段不显示）
   */
  faultSourceId?: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 申请人
   */
  applyUser?: string;

  /**
   * 申请时间
   */
  applyTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际完成时间
   */
  realEndTime?: string;

  /**
   * 要求完成时间
   */
  requireEndTime?: string;

  /**
   * 工单状态（0待维修 1维修中 2维修完成）
   */
  billsStatus?: string;

  /**
   * 审批状态
   */
  approveStatus?: string;

  /**
   * 确认状态（0未确认 1确认完成）
   */
  repairConfirm?: string;

  /**
   * 确认人
   */
  confirmUser?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  // 新增字段
  machineCode?: string;
  machineName?: string;
  machineLocation?: string;
  machineSpec?: string;
  imgUrl?: string;
  instanceActivityId?: number;
  faultType?: string;
  faultDescription?: string;
  designOperations?: string;
  repairType?: string;
  outsourcingId?: number;
  processHandleResolution?: string;
  fileUrls?: string[];
  dmsInstanceFiles?: [];
  dmsInstanceFiles1?: [];
  checkedFault?: string;
  repairContent?: string;
  protectedMethod?: string;
  repairer?: string;
  confirmTime?: string;
  componentsPartsId?: number;
  parts?: [];

}



