export interface DmsBillsLubeInstanceVO {
  /**
   * 主键标识
   */
  lubeInstanceId: string | number;

  /**
   * 计划ID，关联dms_plan_lube的plan_lube_id
   */
  planLubeId: string | number;

  /**
   * 润滑工单编号
   */
  billsLubeCode: string;

  /**
   * 润滑组别
   */
  lubeGroup: string;

  /**
   * 润滑负责人
   */
  lubeSupervisor: string;

  /**
   * 润滑级别（1日常润滑 2月度润滑 3年度润滑）
   */
  lubeLevel: string;

  /**
   * 计划润滑开始时间
   */
  planBeginTime: string;

  /**
   * 计划润滑完成时间
   */
  planEndTime: string;

  /**
   * 实际润滑开始时间
   */
  realBeginTime: string;

  /**
   * 实际润滑完成时间;超期报警
   */
  realEndTime: string;

  /**
   * 润滑状态（1待润滑 2润滑中 3已完成）
   */
  lubeStatus: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 润滑工单编号
   */
  planLubeCode: string;
}

export interface DmsBillsLubeInstanceForm extends BaseEntity {
  /**
   * 主键标识
   */
  lubeInstanceId?: string | number;

  /**
   * 计划ID，关联dms_plan_lube的plan_lube_id
   */
  planLubeId?: string | number;

  /**
   * 润滑工单编号
   */
  billsLubeCode?: string;

  /**
   * 润滑组别
   */
  lubeGroup?: string;

  /**
   * 润滑负责人
   */
  lubeSupervisor?: string;

  /**
   * 润滑级别（1日常润滑 2月度润滑 3年度润滑）
   */
  lubeLevel?: string;

  /**
   * 计划润滑开始时间
   */
  planBeginTime?: string;

  /**
   * 计划润滑完成时间
   */
  planEndTime?: string;

  /**
   * 实际润滑开始时间
   */
  realBeginTime?: string;

  /**
   * 实际润滑完成时间;超期报警
   */
  realEndTime?: string;

  /**
   * 润滑状态（1待润滑 2润滑中 3已完成）
   */
  lubeStatus?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 润滑工单编号
   */
  planLubeCode?: string;

  /**
   * 工单状态（draft草稿 waiting待处理 processing处理中 completed已完成 cancel已取消 back已退回）
   */
  status?: string;

  createBy?: string;

  createTime?: string;


}

export interface DmsBillsLubeInstanceQuery extends PageQuery {

  /**
   * 主键标识
   */
  lubeInstanceId?: string | number;

  /**
   * 计划ID，关联dms_plan_lube的plan_lube_id
   */
  planLubeId?: string | number;

  /**
   * 润滑工单编号
   */
  billsLubeCode?: string;

  /**
   * 润滑组别
   */
  lubeGroup?: string;

  /**
   * 润滑负责人
   */
  lubeSupervisor?: string;

  /**
   * 润滑级别（1日常润滑 2月度润滑 3年度润滑）
   */
  lubeLevel?: string;

  /**
   * 计划润滑开始时间
   */
  planBeginTime?: string;

  /**
   * 计划润滑完成时间
   */
  planEndTime?: string;

  /**
   * 实际润滑开始时间
   */
  realBeginTime?: string;

  /**
   * 实际润滑完成时间;超期报警
   */
  realEndTime?: string;

  /**
   * 润滑状态（1待润滑 2润滑中 3已完成）
   */
  lubeStatus?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 润滑工单编号
   */
  planLubeCode?: string;

  createBy?: string;

  createTime?: string;
}



