export interface DmsBillsMaintDetailVO {
  /**
   * 主键标识
   */
  billsMaintDetailId: string | number;

  /**
   * 保养工单ID，关联dms_bills_maint_instance的maint_instance_id
   */
  maintInstanceId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 保养部位,关联dms_base_maint_station的maint_station_id
   */
  maintStationId: string | number;

  /**
   * 保养标准ID，关联保养标准主键
   */
  maintStandardId: string | number;

  /**
   * 操作描述
   */
  operationDescription: string;

  /**
   * 保养状态（1待保养 2保养中 3已完成）
   */
  maintStatus: string;

  /**
   * 保养开始时间
   */
  beginTime: string;

  /**
   * 保养结束时间
   */
  endTime: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBillsMaintDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  billsMaintDetailId?: string | number;

  /**
   * 保养工单ID，关联dms_bills_maint_instance的maint_instance_id
   */
  maintInstanceId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 保养部位,关联dms_base_maint_station的maint_station_id
   */
  maintStationId?: string | number;

  /**
   * 保养标准ID，关联保养标准主键
   */
  maintStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 保养状态（1待保养 2保养中 3已完成）
   */
  maintStatus?: string;

  /**
   * 保养开始时间
   */
  beginTime?: string;

  /**
   * 保养结束时间
   */
  endTime?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsBillsMaintDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  billsMaintDetailId?: string | number;

  /**
   * 保养工单ID，关联dms_bills_maint_instance的maint_instance_id
   */
  maintInstanceId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 保养部位,关联dms_base_maint_station的maint_station_id
   */
  maintStationId?: string | number;

  /**
   * 保养标准ID，关联保养标准主键
   */
  maintStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 保养状态（1待保养 2保养中 3已完成）
   */
  maintStatus?: string;

  /**
   * 保养开始时间
   */
  beginTime?: string;

  /**
   * 保养结束时间
   */
  endTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



