export interface DmsBillsMaintInstanceVO {
  /**
   * 主键标识
   */
  maintInstanceId: string | number;

  /**
   * 保养计划ID,关联dms_plan_maint的plan_maint_id
   */
  planMaintId: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId: string | number;

  /**
   * 保养单号
   */
  billsMaintCode: string;

  /**
   * 保养组别
   */
  maintGroup: string;

  /**
   * 保养负责人
   */
  maintSupervisor: string;

  /**
   * 保养级别(1日常保养 2月度保养 3年度保养)
   */
  maintLevel: string;

  /**
   * 计划保养时间
   */
  planBeginTime: string;

  /**
   * 实际开始时间
   */
  realBeginTime: string;

  /**
   * 计划完成时间;根据计划的时限计算
   */
  planEndTime: string;

  /**
   * 实际完成时间
   */
  realEndTime: string;

  /**
   * 保养状态(1待保养 2保养中 3已完成)
   */
  maintStatus: string;

  /**
   * 保养完成率
   */
  maintCompRate: number;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBillsMaintInstanceForm extends BaseEntity {
  /**
   * 主键标识
   */
  maintInstanceId?: string | number;

  /**
   * 保养计划ID,关联dms_plan_maint的plan_maint_id
   */
  planMaintId?: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 保养单号
   */
  billsMaintCode?: string;

  /**
   * 保养组别
   */
  maintGroup?: string;

  /**
   * 保养负责人
   */
  maintSupervisor?: string;

  /**
   * 保养级别(1日常保养 2月度保养 3年度保养)
   */
  maintLevel?: string;

  /**
   * 计划保养时间
   */
  planBeginTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 计划完成时间;根据计划的时限计算
   */
  planEndTime?: string;

  /**
   * 实际完成时间
   */
  realEndTime?: string;

  /**
   * 保养状态(1待保养 2保养中 3已完成)
   */
  maintStatus?: string;

  /**
   * 保养完成率
   */
  maintCompRate?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 工单状态（draft草稿 waiting待处理 processing处理中 completed已完成 cancel已取消 back已退回）
   */
  status?: string;
}

export interface DmsBillsMaintInstanceQuery extends PageQuery {

  /**
   * 主键标识
   */
  maintInstanceId?: string | number;

  /**
   * 保养计划ID,关联dms_plan_maint的plan_maint_id
   */
  planMaintId?: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 保养单号
   */
  billsMaintCode?: string;

  /**
   * 保养组别
   */
  maintGroup?: string;

  /**
   * 保养负责人
   */
  maintSupervisor?: string;

  /**
   * 保养级别(1日常保养 2月度保养 3年度保养)
   */
  maintLevel?: string;

  /**
   * 计划保养时间
   */
  planBeginTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 计划完成时间;根据计划的时限计算
   */
  planEndTime?: string;

  /**
   * 实际完成时间
   */
  realEndTime?: string;

  /**
   * 保养状态(1待保养 2保养中 3已完成)
   */
  maintStatus?: string;

  /**
   * 保养完成率
   */
  maintCompRate?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



