export interface DmsFaultInstanceActivityVO {
  /**
   * 维修工单实例节点ID
   */
  instanceActivityId: string | number;

  /**
   * 故障报修工单ID，关联故障报修工单主键
   */
  repairInstanceId: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId: string | number;

  /**
   * 工单流程节点ID（关联wf_task_back_node的id）
   */
  wfNodeId: string | number;

  /**
   * 故障类型(1外部故障 2内部故障);最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  faultType: string;

  /**
   * 故障描述;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  faultDescription: string;

  /**
   * 涉及操作，关联数据字典，可以选择多个;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  designOperations: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 维修类型（1内部维修 2外协维修）;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  repairType: string;

  /**
   * 外协单位，关联dms_base_outsourcing_info的outsourcing_id;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  outsourcingId: string | number;

  /**
   * 处理意见;第一步不显示，从第2个步骤开始显示此字段
   */
  processHandleResolution: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 状态(0已结束 1执行中 2待接取 3已转发）
   */
  processHandleStatus: string;

  /**
   * 工单流程步骤顺序
   */
  processStepOrder: number;

  /**
   * 执行开始时间
   */
  startTime: string;

  /**
   * 执行结束时间
   */
  endTime: string;

  /**
   * 处理人ID（关联sys_user的user_id)
   */
  handleUserId: string | number;

  /**
   * 处理人
   */
  handleBy: string;

  /**
   * 处理时间
   */
  handleTime: string;

  /**
   * 转单人用户id或转发协助用户id
   */
  transferUserId: string | number;

  /**
   * 检查后的故障判断
   */
  checkedFault: string;

  /**
   * 维修内容
   */
  repairContent: string;

  /**
   * 维修措施
   */
  protectedMethod: string;

  /**
   * 维修人
   */
  repairer: string;

  /**
   * 维修结果（1待确认 2确认完成）
   */
  repairConfirm: string;

  /**
   * 确认时间
   */
  confirmTime: string;

  /**
   * 关联更换零部件内容
   */
  componentsPartsId: string | number;

}

export interface DmsFaultInstanceActivityForm extends BaseEntity {
  /**
   * 维修工单实例节点ID
   */
  instanceActivityId?: string | number;

  /**
   * 故障报修工单ID，关联故障报修工单主键
   */
  repairInstanceId?: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 工单流程节点ID（关联wf_task_back_node的id）
   */
  wfNodeId?: string | number;

  /**
   * 故障类型(1外部故障 2内部故障);最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  faultType?: string;

  /**
   * 故障描述;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  faultDescription?: string;

  /**
   * 涉及操作，关联数据字典，可以选择多个;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  designOperations?: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 维修类型（1内部维修 2外协维修）;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  repairType?: string;

  /**
   * 外协单位，关联dms_base_outsourcing_info的outsourcing_id;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  outsourcingId?: string | number;

  /**
   * 处理意见;第一步不显示，从第2个步骤开始显示此字段
   */
  processHandleResolution?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 状态(0已结束 1执行中 2待接取 3已转发）
   */
  processHandleStatus?: string;

  /**
   * 工单流程步骤顺序
   */
  processStepOrder?: number;

  /**
   * 执行开始时间
   */
  startTime?: string;

  /**
   * 执行结束时间
   */
  endTime?: string;

  /**
   * 处理人ID（关联sys_user的user_id)
   */
  handleUserId?: string | number;

  /**
   * 处理人
   */
  handleBy?: string;

  /**
   * 处理时间
   */
  handleTime?: string;

  /**
   * 转单人用户id或转发协助用户id
   */
  transferUserId?: string | number;

  /**
   * 检查后的故障判断
   */
  checkedFault?: string;

  /**
   * 维修内容
   */
  repairContent?: string;

  /**
   * 维修措施
   */
  protectedMethod?: string;

  /**
   * 维修人
   */
  repairer?: string;

  /**
   * 维修结果（1待确认 2确认完成）
   */
  repairConfirm?: string;

  /**
   * 确认时间
   */
  confirmTime?: string;

  /**
   * 关联更换零部件内容
   */
  componentsPartsId?: string | number;

}

export interface DmsFaultInstanceActivityQuery extends PageQuery {

  /**
   * 维修工单实例节点ID
   */
  instanceActivityId?: string | number;

  /**
   * 故障报修工单ID，关联故障报修工单主键
   */
  repairInstanceId?: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 工单流程节点ID（关联wf_task_back_node的id）
   */
  wfNodeId?: string | number;

  /**
   * 故障类型(1外部故障 2内部故障);最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  faultType?: string;

  /**
   * 故障描述;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  faultDescription?: string;

  /**
   * 涉及操作，关联数据字典，可以选择多个;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  designOperations?: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 维修类型（1内部维修 2外协维修）;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  repairType?: string;

  /**
   * 外协单位，关联dms_base_outsourcing_info的outsourcing_id;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  outsourcingId?: string | number;

  /**
   * 处理意见;第一步不显示，从第2个步骤开始显示此字段
   */
  processHandleResolution?: string;

  /**
   * 状态(0已结束 1执行中 2待接取 3已转发）
   */
  processHandleStatus?: string;

  /**
   * 工单流程步骤顺序
   */
  processStepOrder?: number;

  /**
   * 执行开始时间
   */
  startTime?: string;

  /**
   * 执行结束时间
   */
  endTime?: string;

  /**
   * 处理人ID（关联sys_user的user_id)
   */
  handleUserId?: string | number;

  /**
   * 处理人
   */
  handleBy?: string;

  /**
   * 处理时间
   */
  handleTime?: string;

  /**
   * 转单人用户id或转发协助用户id
   */
  transferUserId?: string | number;

  /**
   * 检查后的故障判断
   */
  checkedFault?: string;

  /**
   * 维修内容
   */
  repairContent?: string;

  /**
   * 维修措施
   */
  protectedMethod?: string;

  /**
   * 维修人
   */
  repairer?: string;

  /**
   * 维修结果（1待确认 2确认完成）
   */
  repairConfirm?: string;

  /**
   * 确认时间
   */
  confirmTime?: string;

  /**
   * 关联更换零部件内容
   */
  componentsPartsId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



