export interface DmsInstanceFileVO {
  /**
   * 主键标识
   */
  instanceFileId: string | number;

  /**
   * 关联类型(1维修前，2维修后)
   */
  targetType: string;

  /**
   * 关联类型为1时关联维修工单实例节点主键，关联类型为2时关联维修记录ID
   */
  targetId: string | number;

  /**
   * 故障文件地址，一般是图片
   */
  filePath: string;

}

export interface DmsInstanceFileForm extends BaseEntity {
  /**
   * 主键标识
   */
  instanceFileId?: string | number;

  /**
   * 关联类型(1维修前，2维修后)
   */
  targetType?: string;

  /**
   * 关联类型为1时关联维修工单实例节点主键，关联类型为2时关联维修记录ID
   */
  targetId?: string | number;

  /**
   * 故障文件地址，一般是图片
   */
  filePath?: string;

}

export interface DmsInstanceFileQuery extends PageQuery {

  /**
   * 主键标识
   */
  instanceFileId?: string | number;

  /**
   * 关联类型(1维修前，2维修后)
   */
  targetType?: string;

  /**
   * 关联类型为1时关联维修工单实例节点主键，关联类型为2时关联维修记录ID
   */
  targetId?: string | number;

  /**
   * 故障文件地址，一般是图片
   */
  filePath?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



