export interface DmsPlanInspectVO {
  /**
   * 主键标识
   */
  planInspectId: string | number;

  /**
   * 计划编号
   */
  planInspectCode: string;

  /**
   * 计划名称
   */
  planInspectName: string;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType: string;

  /**
   * 巡检线路ID，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId: string | number;

  /**
   * 设备总数
   */
  deviceAmount: number;

  /**
   * 本次巡检时间
   */
  planTime: string;

  /**
   * 时限(秒)
   */
  timeLimit: number;

  /**
   * 关联sj_job主键id
   */
  jobId: string | number;

  /**
   * 循环周期
   */
  cyclePeriod: string;

  /**
   * 执行人员
   */
  performer: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 线路名称
   */
  routeName: string;

  cronExpression: string;
  inspectLevel: string;
  year: string | number;
  month: string | number;
  day: string | number;
  week: string | number;
  hour: string | number;
  timeLimitHours: string | number;
  timeLimitDays: string | number;

}

export interface DmsPlanInspectForm extends BaseEntity {
  /**
   * 主键标识
   */
  planInspectId?: string | number;

  /**
   * 计划编号
   */
  planInspectCode?: string;

  /**
   * 计划名称
   */
  planInspectName?: string;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 巡检线路ID，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId?: string | number;

  /**
   * 设备总数
   */
  deviceAmount?: number;

  /**
   * 本次巡检时间
   */
  planTime?: string;

  /**
   * 时限(秒)
   */
  timeLimit?: number;

  /**
   * 关联sj_job主键id
   */
  jobId?: string | number;

  /**
   * 循环周期
   */
  cyclePeriod?: string;

  /**
   * 执行人员
   */
  performer?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 线路名称
   */
  routeName: string;

  cronExpression?: string;
  inspectLevel?: string;
  year?: string | number;
  month?: string | number;
  day?: string | number;
  week?: string | number;
  hour?: string | number;
  timeLimitHours?:  number;
  timeLimitDays?:   number;

}

export interface DmsPlanInspectQuery extends PageQuery {

  /**
   * 主键标识
   */
  planInspectId?: string | number;

  /**
   * 计划编号
   */
  planInspectCode?: string;

  /**
   * 计划名称
   */
  planInspectName?: string;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 巡检线路ID，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId?: string | number;

  /**
   * 设备总数
   */
  deviceAmount?: number;

  /**
   * 本次巡检时间
   */
  planTime?: string;

  /**
   * 时限(秒)
   */
  timeLimit?: number;

  /**
   * 关联sj_job主键id
   */
  jobId?: string | number;

  /**
   * 循环周期
   */
  cyclePeriod?: string;

  /**
   * 执行人员
   */
  performer?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 线路名称
   */
  routeName: string;

  cronExpression?: string;
  inspectLevel?: string;
  year?: string | number;
  month?: string | number;
  day?: string | number;
  week?: string | number;
  hour?: string | number;
  timeLimitHours?: string | number;
  timeLimitDays?: string | number;

}



