export interface DmsPlanMaintDetailVO {
  /**
   * 主键标识
   */
  planMaintDetailId: string | number;

  /**
   * 计划ID，关联dms_plan_maint的plan_maint_id
   */
  planMaintId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 保养部位,关联dms_base_maint_station的maint_station_id
   */
  maintStationId: string | number;

  /**
   * 保养标准ID，关联保养标准主键
   */
  maintStandardId: string | number;

  /**
   * 操作描述
   */
  operationDescription: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 标准编号
   *
   */
  maintStandardCode: string;

  /**
   * 计划编号
   */
  planMaintCode: string;

  /**
   * 设备名称
   */
  machineName: string;

  /**
   * 保养部位
   */
  maintStationName: string;


}

export interface DmsPlanMaintDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  planMaintDetailId?: string | number;

  /**
   * 计划ID，关联dms_plan_maint的plan_maint_id
   */
  planMaintId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 保养部位,关联dms_base_maint_station的maint_station_id
   */
  maintStationId?: string | number;

  /**
   * 保养标准ID，关联保养标准主键
   */
  maintStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 标准编号
   *
   */
  maintStandardCode?: string;

  /**
   * 计划编号
   */
  planMaintCode?: string;

  /**
   * 设备名称
   */
  machineName?: string;

  /**
   * 保养部位
   */
  maintStationName?: string;

}

export interface DmsPlanMaintDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  planMaintDetailId?: string | number;

  /**
   * 计划ID，关联dms_plan_maint的plan_maint_id
   */
  planMaintId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 保养部位,关联dms_base_maint_station的maint_station_id
   */
  maintStationId?: string | number;

  /**
   * 保养标准ID，关联保养标准主键
   */
  maintStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

    /**
     * 日期范围参数
     */
    params?: any;


  /**
   * 标准编号
   *
   */
  maintStandardCode?: string;

  /**
   * 计划编号
   */
  planMaintCode?: string;

  /**
   * 设备名称
   */
  machineName?: string;

  /**
   * 保养部位
   */
  maintStationName?: string;

}



