export interface DmsPlanRepairVO {
  /**
   * 主键标识
   */
  planRepairId: string | number;

  /**
   * 计划编号
   */
  planRepairCode: string;

  /**
   * 检修类型(1简单检修 2整体检修)
   */
  repairType: string;

  /**
   * 检修组别
   */
  repairGroup: string;

  /**
   * 检修负责人
   */
  repairSupervisor: string;

  /**
   * 本次检修时间
   */
  repairTime: string;

  /**
   * 时限(秒);对超期的进行报警
   */
  timeLimit: number;

  /**
   * 关联sj_job主键
   */
  jobId: string | number;

  /**
   * 循环周期
   */
  cyclePeriod: number;

  /**
   * 创建方式（1人工创建 2自动创建）
   */
  createMethod: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  cronExpressio: string;
  inspectLevel: string;
  year: string | number;
  month: string | number;
  day: string | number;
  week: string | number;
  hour: string | number;
  timeLimitHours: string | number;
  timeLimitDays: string | number;
}

export interface DmsPlanRepairForm extends BaseEntity {
  /**
   * 主键标识
   */
  planRepairId?: string | number;

  /**
   * 计划编号
   */
  planRepairCode?: string;

  /**
   * 检修类型(1简单检修 2整体检修)
   */
  repairType?: string;

  /**
   * 检修组别
   */
  repairGroup?: string;

  /**
   * 检修负责人
   */
  repairSupervisor?: string;

  /**
   * 本次检修时间
   */
  repairTime?: string;

  /**
   * 时限(秒);对超期的进行报警
   */
  timeLimit?: number;

  /**
   * 关联sj_job主键
   */
  jobId?: string | number;

  /**
   * 循环周期
   */
  cyclePeriod?: number;

  /**
   * 创建方式（1人工创建 2自动创建）
   */
  createMethod?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  cronExpression?: string;
  inspectLevel?: string;
  year?: string | number;
  month?: string | number;
  day?: string | number;
  week?: string | number;
  hour?: string | number;
  timeLimitHours?: string | number;
  timeLimitDays?: string | number;

}

export interface DmsPlanRepairQuery extends PageQuery {

  /**
   * 主键标识
   */
  planRepairId?: string | number;

  /**
   * 计划编号
   */
  planRepairCode?: string;

  /**
   * 检修类型(1简单检修 2整体检修)
   */
  repairType?: string;

  /**
   * 检修组别
   */
  repairGroup?: string;

  /**
   * 检修负责人
   */
  repairSupervisor?: string;

  /**
   * 本次检修时间
   */
  repairTime?: string;

  /**
   * 时限(秒);对超期的进行报警
   */
  timeLimit?: number;

  /**
   * 关联sj_job主键
   */
  jobId?: string | number;

  /**
   * 循环周期
   */
  cyclePeriod?: number;

  /**
   * 创建方式（1人工创建 2自动创建）
   */
  createMethod?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  cronExpression?: string;
  inspectLevel?: string;
  year?: string | number;
  month?: string | number;
  day?: string | number;
  week?: string | number;
  hour?: string | number;
  timeLimitHours?: string | number;
  timeLimitDays?: string | number;
}



