export interface DmsRecordShutDownVO {
  /**
   * 主键标识;scada上报的记录
   */
  recordShutDownId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 停机类型ID，关联dm_base_shut_type的shut_type_id
   */
  shutTypeId: string | number;

  /**
   * 停机原因ID，关联dms_base_shut_reason的shut_reason_id
   */
  shutReasonId: string | number;

  /**
   * 停机开始时间
   */
  shutBeginTime: string;

  /**
   * 停机结束时间
   */
  shutEndTime: string;

  /**
   * 停机时长(毫秒)
   */
  shutTime: number;

  /**
   * 停机标识（0未结束 1已结束）
   */
  downtimeFlag: string;

  /**
   * 停机原因
   */
  shutReason: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备名称
   */
  machineName: string;

  /**
   * 停机类型
   */
  shutTypeName: string;

}

export interface DmsRecordShutDownForm extends BaseEntity {
  /**
   * 主键标识;scada上报的记录
   */
  recordShutDownId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 停机类型ID，关联dm_base_shut_type的shut_type_id
   */
  shutTypeId?: string | number;

  /**
   * 停机原因ID，关联dms_base_shut_reason的shut_reason_id
   */
  shutReasonId?: string | number;

  /**
   * 停机开始时间
   */
  shutBeginTime?: string;

  /**
   * 停机结束时间
   */
  shutEndTime?: string;

  /**
   * 停机时长(毫秒)
   */
  shutTime?: number;

  /**
   * 停机标识（0未结束 1已结束）
   */
  downtimeFlag?: string;

  /**
   * 停机原因
   */
  shutReason?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备名称
   */
  machineName?: string;

  /**
   * 停机类型
   */
  shutTypeName?: string;

}

export interface DmsRecordShutDownQuery extends PageQuery {

  /**
   * 主键标识;scada上报的记录
   */
  recordShutDownId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 停机类型ID，关联dm_base_shut_type的shut_type_id
   */
  shutTypeId?: string | number;

  /**
   * 停机原因ID，关联dms_base_shut_reason的shut_reason_id
   */
  shutReasonId?: string | number;

  /**
   * 停机开始时间
   */
  shutBeginTime?: string;

  /**
   * 停机结束时间
   */
  shutEndTime?: string;

  /**
   * 停机时长(毫秒)
   */
  shutTime?: number;

  /**
   * 停机标识（0未结束 1已结束）
   */
  downtimeFlag?: string;

  /**
   * 停机原因
   */
  shutReason?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备名称
   */
  machineName?: string;

  /**
   * 停机类型
   */
  shutTypeName?: string;
}



