export interface DmsRepairInstanceDetailVO {
  /**
   * 主键标识
   */
  repairInstanceDetailId: string | number;

  /**
   * 检修工单ID，关联dms_repair_instance的repair_instance_id
   */
  repairInstanceId: string | number;

  /**
   * 检修计划明细类型(1设备 2设备类型)
   */
  repairDetailTargetType: string;

  /**
   * 检修计划明细ID,根据检修计划明细类型关联对应表的主键
   */
  repairDetailTargetId: string | number;

  /**
   * 故障类别（1设备损坏）
   */
  faultType: string;

  /**
   * 检修状态（1待检修 2检修中 3已完成）
   */
  instanceDetailStatus: string;

  /**
   * 检修说明
   */
  repairDesc: string;

  /**
   * 检修标准
   */
  repairProtocol: string;

  /**
   * 操作描述
   */
  operationDescription: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsRepairInstanceDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  repairInstanceDetailId?: string | number;

  /**
   * 检修工单ID，关联dms_repair_instance的repair_instance_id
   */
  repairInstanceId?: string | number;

  /**
   * 检修计划明细类型(1设备 2设备类型)
   */
  repairDetailTargetType?: string;

  /**
   * 检修计划明细ID,根据检修计划明细类型关联对应表的主键
   */
  repairDetailTargetId?: string | number;

  /**
   * 故障类别（1设备损坏）
   */
  faultType?: string;

  /**
   * 检修状态（1待检修 2检修中 3已完成）
   */
  instanceDetailStatus?: string;

  /**
   * 检修说明
   */
  repairDesc?: string;

  /**
   * 检修标准
   */
  repairProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsRepairInstanceDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  repairInstanceDetailId?: string | number;

  /**
   * 检修工单ID，关联dms_repair_instance的repair_instance_id
   */
  repairInstanceId?: string | number;

  /**
   * 检修计划明细类型(1设备 2设备类型)
   */
  repairDetailTargetType?: string;

  /**
   * 检修计划明细ID,根据检修计划明细类型关联对应表的主键
   */
  repairDetailTargetId?: string | number;

  /**
   * 故障类别（1设备损坏）
   */
  faultType?: string;

  /**
   * 检修状态（1待检修 2检修中 3已完成）
   */
  instanceDetailStatus?: string;

  /**
   * 检修说明
   */
  repairDesc?: string;

  /**
   * 检修标准
   */
  repairProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



