export interface BaseEpiRollerVO {
  /**
   * EPI辊ID
   */
  epiRollerId: string | number;

  /**
   * 大帘布代码
   */
  endMouthType: string;

  /**
   * EPI条码
   */
  preMouthType: string;

  /**
   * 机台ID
   */
  machineId: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface BaseEpiRollerForm extends BaseEntity {
  /**
   * EPI辊ID
   */
  epiRollerId?: string | number;

  /**
   * 大帘布代码
   */
  endMouthType?: string;

  /**
   * EPI条码
   */
  preMouthType?: string;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseEpiRollerQuery extends PageQuery {

  /**
   * EPI辊ID
   */
  epiRollerId?: string | number;

  /**
   * 大帘布代码
   */
  endMouthType?: string;

  /**
   * EPI条码
   */
  preMouthType?: string;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



