export interface BaseMouthPlateVO {
  /**
   * 口型板ID
   */
  mouthPlateId: string | number;

  /**
   * 终口型
   */
  endMouthType: string;

  /**
   * 预口型
   */
  preMouthType: string;

  /**
   * 机台ID
   */
  machineId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 型号RFID
   */
  modelCode: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface BaseMouthPlateForm extends BaseEntity {
  /**
   * 口型板ID
   */
  mouthPlateId?: string | number;

  /**
   * 终口型
   */
  endMouthType?: string;

  /**
   * 预口型
   */
  preMouthType?: string;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 型号RFID
   */
  modelCode?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseMouthPlateQuery extends PageQuery {

  /**
   * 口型板ID
   */
  mouthPlateId?: string | number;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



