export interface BaseRouteProcessVO {
  /**
   * 工艺路线组成ID
   */
  routeProcessId: string | number;

  /**
   * 工艺路线ID
   */
  routeId: string | number;

  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 工艺路线顺序
   */
  processOrder: number;

  /**
   * 备注
   */
  remark: string;

}

export interface BaseRouteProcessForm extends BaseEntity {
  /**
   * 工艺路线组成ID
   */
  routeProcessId?: string | number;

  /**
   * 工艺路线ID
   */
  routeId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 工艺路线顺序
   */
  processOrder?: number;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseRouteProcessQuery extends PageQuery {

  /**
   * 工艺路线组成ID
   */
  routeProcessId?: string | number;

  /**
   * 工艺路线ID
   */
  routeId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 工艺路线顺序
   */
  processOrder?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



