export interface CodeRuleVO {
  /**
   * 编码规则ID
   */
  codeRuleId: string | number;

  /**
   * 编码规则编码
   */
  codeRuleCode: string;

  /**
   * 编码规则字段
   */
  codeRuleName: string;

  /**
   * 规则前缀
   */
  rulePrefix: string;

  /**
   * 序列号初始长度
   */
  sequenceLength: number;

  /**
   * 规则模板
   */
  ruleTemplate: string;

  /**
   * 更新标识(1不更新 2每日更新)
   */
  renewFlag: string;

  /**
   * 当前编码
   */
  currentCode: string;

  /**
   * 下个编码
   */
  nextCode: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface CodeRuleForm extends BaseEntity {
  /**
   * 编码规则ID
   */
  codeRuleId?: string | number;

  /**
   * 编码规则编码
   */
  codeRuleCode?: string;

  /**
   * 编码规则字段
   */
  codeRuleName?: string;

  /**
   * 规则前缀
   */
  rulePrefix?: string;

  /**
   * 序列号初始长度
   */
  sequenceLength?: number;

  /**
   * 规则模板
   */
  ruleTemplate?: string;

  /**
   * 更新标识(1不更新 2每日更新)
   */
  renewFlag?: string;

  /**
   * 当前编码
   */
  currentCode?: string;

  /**
   * 下个编码
   */
  nextCode?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface CodeRuleQuery extends PageQuery {

  /**
   * 编码规则ID
   */
  codeRuleId?: string | number;

  /**
   * 编码规则编码
   */
  codeRuleCode?: string;

  /**
   * 编码规则字段
   */
  codeRuleName?: string;

  /**
   * 规则前缀
   */
  rulePrefix?: string;

  /**
   * 序列号初始长度
   */
  sequenceLength?: number;

  /**
   * 规则模板
   */
  ruleTemplate?: string;

  /**
   * 更新标识(1不更新 2每日更新)
   */
  renewFlag?: string;

  /**
   * 当前编码
   */
  currentCode?: string;

  /**
   * 下个编码
   */
  nextCode?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



