export interface DesignDataFieldVO {
  /**
   * 数据字段ID
   */
  dataFieldId: string | number;

  /**
   * 数据源ID
   */
  dataSourceId: string | number;

  /**
   * 字段类型（1请求数据 2输出数据）
   */
  fieldType: string;

  /**
   * 备注说明
   */
  remarkName: string;

  /**
   * 请求内容类型
   */
  requestContentType: string;

  /**
   * 数据类型（bool short int long float byte ushort uint ulong double string）
   */
  dataType: string;

  /**
   * 显示排序
   */
  sortOrder: number;

  /**
   * 预留字段一
   */
  fieldOne: string;

  /**
   * 预留字段二
   */
  fieldTwo: string;

  /**
   * 预留字段三
   */
  fieldThree: string;

  /**
   * 预留字段四
   */
  fieldFour: string;

  /**
   * 预留字段五
   */
  fieldFive: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DesignDataFieldForm extends BaseEntity {
  /**
   * 数据字段ID
   */
  dataFieldId?: string | number;

  /**
   * 数据源ID
   */
  dataSourceId?: string | number;

  /**
   * 字段类型（1请求数据 2输出数据）
   */
  fieldType?: string;

  /**
   * 备注说明
   */
  remarkName?: string;

  /**
   * 请求内容类型
   */
  requestContentType?: string;

  /**
   * 数据类型（bool short int long float byte ushort uint ulong double string）
   */
  dataType?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DesignDataFieldQuery extends PageQuery {

  /**
   * 数据字段ID
   */
  dataFieldId?: string | number;

  /**
   * 数据源ID
   */
  dataSourceId?: string | number;

  /**
   * 字段类型（1请求数据 2输出数据）
   */
  fieldType?: string;

  /**
   * 备注说明
   */
  remarkName?: string;

  /**
   * 请求内容类型
   */
  requestContentType?: string;

  /**
   * 数据类型（bool short int long float byte ushort uint ulong double string）
   */
  dataType?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



