import { DesignDataFieldVO } from '@/api/system/designDataField/types';

export interface DesignDataSourceVO {
  /**
   * 数据源ID
   */
  dataSourceId: string | number;

  /**
   * 数据源名称
   */
  dataSourceName: string;

  /**
   * 请求方法
   */
  requestMethod: string;

  /**
   * 请求地址
   */
  requestUrl: string;

  /**
   * 数据源分组
   */
  dataSourceGroup: string;

  /**
   * 请求内容类型
   */
  requestContentType: string;

  /**
   * 响应格式(JSON XML)
   */
  responseType: string;

  /**
   * 版本号
   */
  versionCode: string;

  /**
   * 显示排序
   */
  sortOrder: number;

  /**
   * 预留字段一
   */
  fieldOne: string;

  /**
   * 预留字段二
   */
  fieldTwo: string;

  /**
   * 预留字段三
   */
  fieldThree: string;

  /**
   * 预留字段四
   */
  fieldFour: string;

  /**
   * 预留字段五
   */
  fieldFive: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DesignDataSourceForm extends BaseEntity {
  /**
   * 数据源ID
   */
  dataSourceId?: string | number;

  /**
   * 数据源名称
   */
  dataSourceName?: string;

  /**
   * 请求方法
   */
  requestMethod?: string;

  /**
   * 请求地址
   */
  requestUrl?: string;

  /**
   * 数据源分组
   */
  dataSourceGroup?: string;

  /**
   * 请求内容类型
   */
  requestContentType?: string;

  /**
   * 响应格式(JSON XML)
   */
  responseType?: string;

  /**
   * 版本号
   */
  versionCode?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 数据字段列表
   */
  designDataFieldList?: DesignDataFieldVO[];
}

export interface DesignDataSourceQuery extends PageQuery {

  /**
   * 数据源ID
   */
  dataSourceId?: string | number;

  /**
   * 数据源名称
   */
  dataSourceName?: string;

  /**
   * 请求方法
   */
  requestMethod?: string;

  /**
   * 请求地址
   */
  requestUrl?: string;

  /**
   * 数据源分组
   */
  dataSourceGroup?: string;

  /**
   * 请求内容类型
   */
  requestContentType?: string;

  /**
   * 响应格式(JSON XML)
   */
  responseType?: string;

  /**
   * 版本号
   */
  versionCode?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



