export interface DesignFieldMappingVO {
  /**
   * 字段映射ID
   */
  fieldMappingId: string | number;

  /**
   * 字段映射编码
   */
  fieldMappingCode: string;

  /**
   * 字段映射名称
   */
  fieldMappingName: string;

  /**
   * 字段映射组
   */
  fieldMappingGroup: string;

  /**
   * 大小写敏感标识（1是 0否）
   */
  caseSensitiveFlag: string;

  /**
   * 显示排序
   */
  sortOrder: number;

  /**
   * 预留字段一
   */
  fieldOne: string;

  /**
   * 预留字段二
   */
  fieldTwo: string;

  /**
   * 预留字段三
   */
  fieldThree: string;

  /**
   * 预留字段四
   */
  fieldFour: string;

  /**
   * 预留字段五
   */
  fieldFive: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DesignFieldMappingForm extends BaseEntity {
  /**
   * 字段映射ID
   */
  fieldMappingId?: string | number;

  /**
   * 字段映射编码
   */
  fieldMappingCode?: string;

  /**
   * 字段映射名称
   */
  fieldMappingName?: string;

  /**
   * 字段映射组
   */
  fieldMappingGroup?: string;

  /**
   * 大小写敏感标识（1是 0否）
   */
  caseSensitiveFlag?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DesignFieldMappingQuery extends PageQuery {

  /**
   * 字段映射ID
   */
  fieldMappingId?: string | number;

  /**
   * 字段映射编码
   */
  fieldMappingCode?: string;

  /**
   * 字段映射名称
   */
  fieldMappingName?: string;

  /**
   * 字段映射组
   */
  fieldMappingGroup?: string;

  /**
   * 大小写敏感标识（1是 0否）
   */
  caseSensitiveFlag?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



