import { DesignPagePointVO } from '../designPagePoint/types';
import { DesignPageEdgesVO } from '../designPageEdges/types';

export interface DesignPageConfigVO {
  /**
   * 页面配置ID
   */
  pageConfigId: string | number;

  /**
   * 页面名称
   */
  pageConfigName: string;

  /**
   * 页面背景
   */
  pageBackground: string;

  /**
   * 页面路由
   */
  pageRouting: string;

  /**
   * 自定义内容
   */
  customContent: string;

  /**
   * 显示排序
   */
  sortOrder: number;

  /**
   * 预留字段一
   */
  fieldOne: string;

  /**
   * 预留字段二
   */
  fieldTwo: string;

  /**
   * 预留字段三
   */
  fieldThree: string;

  /**
   * 预留字段四
   */
  fieldFour: string;

  /**
   * 预留字段五
   */
  fieldFive: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DesignPageConfigForm {
  /**
   * 页面配置ID
   */
  pageConfigId?: string | number;

  /**
   * 页面名称
   */
  pageConfigName?: string;

  /**
   * 页面背景
   */
  pageBackground?: string;

  /**
   * 页面路由
   */
  pageRouting?: string;

  /**
   * 自定义内容
   */
  customContent?: string;

  /**
   * 显示排序
   */
  sortOrder?: string | number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  designPagePointList?: DesignPagePointVO[];
  designPageEdgesList?: DesignPageEdgesVO[];
}

export interface DesignPageConfigQuery extends PageQuery {

  /**
   * 页面配置ID
   */
  pageConfigId?: string | number;

  /**
   * 页面名称
   */
  pageConfigName?: string;

  /**
   * 页面背景
   */
  pageBackground?: string;

  /**
   * 页面路由
   */
  pageRouting?: string;

  /**
   * 自定义内容
   */
  customContent?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



