export interface DesignPageEdgesVO {
  /**
   * 页面连接线ID
   */
  pageEdgesId: string | number;

  /**
   * 页面配置ID
   */
  pageConfigId: string | number;

  /**
   * 线类型
   */
  edgeType: string;

  /**
   * 原节点ID
   */
  sourceNodeId: string | number;

  /**
   * 目标节点ID
   */
  targetNodeId: string | number;

  /**
   * 源句柄ID
   */
  sourceHandleId: string | number;

  /**
   * 目标句柄ID
   */
  targetHandleId: string | number;

  /**
   * X坐标
   */
  posX: number;

  /**
   * Y坐标
   */
  posY: number;

  /**
   * 宽度(px)
   */
  width: string | number;

  /**
   * 高度(px)
   */
  height: number;

  /**
   * 自定义内容
   */
  customContent: string;

  /**
   * 显示排序
   */
  sortOrder: number;

  /**
   * 预留字段一
   */
  fieldOne: string;

  /**
   * 预留字段二
   */
  fieldTwo: string;

  /**
   * 预留字段三
   */
  fieldThree: string;

  /**
   * 预留字段四
   */
  fieldFour: string;

  /**
   * 预留字段五
   */
  fieldFive: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DesignPageEdgesForm extends BaseEntity {
  /**
   * 页面连接线ID
   */
  pageEdgesId?: string | number;

  /**
   * 页面配置ID
   */
  pageConfigId?: string | number;

  /**
   * 线类型
   */
  edgeType?: string;

  /**
   * 原节点ID
   */
  sourceNodeId?: string | number;

  /**
   * 目标节点ID
   */
  targetNodeId?: string | number;

  /**
   * 源句柄ID
   */
  sourceHandleId?: string | number;

  /**
   * 目标句柄ID
   */
  targetHandleId?: string | number;

  /**
   * X坐标
   */
  posX?: number;

  /**
   * Y坐标
   */
  posY?: number;

  /**
   * 宽度(px)
   */
  width?: string | number;

  /**
   * 高度(px)
   */
  height?: number;

  /**
   * 自定义内容
   */
  customContent?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DesignPageEdgesQuery extends PageQuery {

  /**
   * 页面连接线ID
   */
  pageEdgesId?: string | number;

  /**
   * 页面配置ID
   */
  pageConfigId?: string | number;

  /**
   * 线类型
   */
  edgeType?: string;

  /**
   * 原节点ID
   */
  sourceNodeId?: string | number;

  /**
   * 目标节点ID
   */
  targetNodeId?: string | number;

  /**
   * 源句柄ID
   */
  sourceHandleId?: string | number;

  /**
   * 目标句柄ID
   */
  targetHandleId?: string | number;

  /**
   * X坐标
   */
  posX?: number;

  /**
   * Y坐标
   */
  posY?: number;

  /**
   * 宽度(px)
   */
  width?: string | number;

  /**
   * 高度(px)
   */
  height?: number;

  /**
   * 自定义内容
   */
  customContent?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



