export interface DesignPagePointVO {
  /**
   * 页面节点ID
   */
  pagePointId: string | number;

  /**
   * 页面配置ID
   */
  pageConfigId: string | number;

  /**
   * 页面节点编号
   */
  pagePointCode: string;

  /**
   * 页面节点名称
   */
  pagePointName: string;

  /**
   * 节点类型
   */
  pointType: string;

  /**
   * 组件类型
   */
  componentType: string;

  /**
   * X坐标
   */
  posX: number;

  /**
   * Y坐标
   */
  posY: number;

  /**
   * 宽度(px)
   */
  width: string | number;

  /**
   * 高度(px)
   */
  height: number;

  /**
   * 页面节点标题
   */
  pagePointTitle: string;

  /**
   * 页面数据内容
   */
  dataContent: string;

  /**
   * 显示排序
   */
  sortOrder: number;

  /**
   * 预留字段一
   */
  fieldOne: string;

  /**
   * 预留字段二
   */
  fieldTwo: string;

  /**
   * 预留字段三
   */
  fieldThree: string;

  /**
   * 预留字段四
   */
  fieldFour: string;

  /**
   * 预留字段五
   */
  fieldFive: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DesignPagePointForm extends BaseEntity {
  /**
   * 页面节点ID
   */
  pagePointId?: string | number;

  /**
   * 页面配置ID
   */
  pageConfigId?: string | number;

  /**
   * 页面节点编号
   */
  pagePointCode?: string;

  /**
   * 页面节点名称
   */
  pagePointName?: string;

  /**
   * 节点类型
   */
  pointType?: string;

  /**
   * 组件类型
   */
  componentType?: string;

  /**
   * X坐标
   */
  posX?: number;

  /**
   * Y坐标
   */
  posY?: number;

  /**
   * 宽度(px)
   */
  width?: string | number;

  /**
   * 高度(px)
   */
  height?: number;

  /**
   * 页面节点标题
   */
  pagePointTitle?: string;

  /**
   * 页面数据内容
   */
  dataContent?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DesignPagePointQuery extends PageQuery {

  /**
   * 页面节点ID
   */
  pagePointId?: string | number;

  /**
   * 页面配置ID
   */
  pageConfigId?: string | number;

  /**
   * 页面节点编号
   */
  pagePointCode?: string;

  /**
   * 页面节点名称
   */
  pagePointName?: string;

  /**
   * 节点类型
   */
  pointType?: string;

  /**
   * 组件类型
   */
  componentType?: string;

  /**
   * X坐标
   */
  posX?: number;

  /**
   * Y坐标
   */
  posY?: number;

  /**
   * 宽度(px)
   */
  width?: string | number;

  /**
   * 高度(px)
   */
  height?: number;

  /**
   * 页面节点标题
   */
  pagePointTitle?: string;

  /**
   * 页面数据内容
   */
  dataContent?: string;

  /**
   * 显示排序
   */
  sortOrder?: number;

  /**
   * 预留字段一
   */
  fieldOne?: string;

  /**
   * 预留字段二
   */
  fieldTwo?: string;

  /**
   * 预留字段三
   */
  fieldThree?: string;

  /**
   * 预留字段四
   */
  fieldFour?: string;

  /**
   * 预留字段五
   */
  fieldFive?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



