export interface BaseWarehouseVO {
  /**
   * 表主键
   */
  warehouseId: string | number;

  /**
   * 仓库编码
   */
  warehouseCode: string;

  /**
   * 仓库名称
   */
  warehouseName: string;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName: string;

  /**
   * 仓库位置
   */
  warehouseLocation: string;

  /**
   * 关联车间
   */
  workshopId: string | number;

  /**
   * 仓库类型
   */
  warehouseType: string;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseWarehouseForm extends BaseEntity {
  /**
   * 表主键
   */
  warehouseId?: string | number;

  /**
   * 仓库编码
   */
  warehouseCode?: string;

  /**
   * 仓库名称
   */
  warehouseName?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 仓库位置
   */
  warehouseLocation?: string;

  /**
   * 关联车间
   */
  workshopId?: string | number;

  /**
   * 仓库类型
   */
  warehouseType?: string;

  /**
   * 创建人
   */
  createBy?: number;

  /**
   * 创建时间
   */
  createTime?: string;

  /**
   * 更新人
   */
  updateBy?: number;

  /**
   * 更新时间
   */
  updateTime?: string;

}

export interface BaseWarehouseQuery extends PageQuery {

  /**
   * 仓库编码
   */
  warehouseCode?: string;

  /**
   * 仓库名称
   */
  warehouseName?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 关联车间
   */
  workshopId?: string | number;

  /**
   * 仓库类型
   */
  warehouseType?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



