export interface DeliveryNoteVO {
  /**
   * 送货单表主键
   */
  deliveryNoteId: string | number;

  /**
   * 采购订单编号
   */
  poNo: string;

  /**
   * 租户号
   */
  tenantId: string | number;

  /**
   * 送货单编码
   */
  deliveryNoteCode: string;

  /**
   * 创建人
   */
  createBy: string;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 客户名称（默认值）
   */
  customerName: string;

  /**
   * 联系人
   */
  contacts: string;

  /**
   * 联系电话
   */
  contactsIpone: string;

  /**
   * 送货单状态（0待发货，1已发货，2已交货）
   */
  deliveryNoteState: string;

  /**
   * 更新时间
   */
  updateTime: string;

  /**
   * 打印次数
   */
  printQty: number;

  /**
   * 车牌号
   */
  licensePlate: string;

}

export interface DeliveryNoteForm extends BaseEntity {
  /**
   * 送货单表主键
   */
  deliveryNoteId?: string | number;

  /**
   * 采购订单编号
   */
  poNo?: string;

  /**
   * 客户名称（默认值）
   */
  customerName?: string;

  /**
   * 联系人
   */
  contacts?: string;

  /**
   * 联系电话
   */
  contactsIpone?: string;

  /**
   * 打印次数
   */
  printQty?: number;

  /**
   * 车牌号
   */
  licensePlate?: string;

}

export interface DeliveryNoteQuery extends PageQuery {

  /**
   * 送货单表主键
   */
  deliveryNoteId?: string | number;

  /**
   * 采购订单编号
   */
  poNo?: string;

  /**
   * 租户号
   */
  tenantId?: string | number;

  /**
   * 送货单编码
   */
  deliveryNoteCode?: string;

  /**
   * 送货单状态（0待发货，1已发货，2已交货）
   */
  deliveryNoteState?: string;

  /**
   * 打印次数
   */
  printQty?: number;

  /**
   * 车牌号
   */
  licensePlate?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



