export interface InstockOrderVO {
  /**
   * 入库单 主键
   */
  instockId: string | number;

  /**
   * 入库单号
   */
  instockCode: string;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName: string;

  /**
   * 工单类型(1采购订单,2生产订单,3手工,4系统生成)
   */
  instockType: string;

  /**
   * 订单编号
   */
  orderNo: string;

  /**
   * 审核人
   */
  auditBy: string;

  /**
   * 审核时间
   */
  auditTime: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus: string;

  /**
   * 审核意见
   */
  auditComments: string;

  /**
   * 仓库ID
   */
  warehouseId: string | number;

}

export interface InstockOrderForm extends BaseEntity {
  /**
   * 入库单 主键
   */
  instockId?: string | number;

  /**
   * 入库单号
   */
  instockCode?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 工单类型(1采购订单,2生产订单,3手工,4系统生成)
   */
  instockType?: string;

  /**
   * 订单编号
   */
  orderNo?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

}

export interface InstockOrderQuery extends PageQuery {

  /**
   * 入库单 主键
   */
  instockId?: string | number;

  /**
   * 入库单号
   */
  instockCode?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 工单类型(1采购订单,2生产订单,3手工,4系统生成)
   */
  instockType?: string;

  /**
   * 订单编号
   */
  orderNo?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



