export interface InstockRecordVO {
  /**
   * 入库单号
   */
  instockRecordId:  string | number;
  instockCode: string;

  /**
   * 批次码
   */
  batchCode: string;

  /**
   * 物料id
   */
  materialId: string | number;

  /**
   * 仓库ID
   */
  warehouseId: string | number;

  /**
   * 库位编码
   */
  locationCode: string;

  /**
   * 物料编码
   */
  materialCode: string;

  /**
   * 物料名称
   */
  materialName: string;

  /**
   * 入库数量
   */
  instockQty: number;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName?: string;

  /**
   * 入库人
   */
  createBy: number;

  /**
   * 入库时间
   */
  createTime: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty: number;

  /**
   * 同步时间
   */
  updateTime: string;

}

export interface InstockRecordForm extends BaseEntity {
  /**
   * 入库单号
   */
  instockCode?: string;

  /**
   * 批次码
   */
  batchCode?: string;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 入库数量
   */
  instockQty?: number;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 入库人
   */
  createBy?: number;

  /**
   * 入库时间
   */
  createTime?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

}

export interface InstockRecordQuery extends PageQuery {

  /**
   * 入库单号
   */
  instockCode?: string;

  /**
   * 批次码
   */
  batchCode?: string;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 入库时间
   */
  createTime?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



