export interface MoveOrderVO {
  /**
   * 表主键
   */
  moveId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName?: string;

  /**
   * 仓库ID
   */
  warehouseId: string | number;

  /**
   * 计划库位
   */
  planLocationCode: number;

  /**
   * 工单状态(0执行中，1完成，2关闭)
   */
  orderStatus: string;

  /**
   * 目标库位
   */
  targetLocationCode: number;

  /**
   * 审核人
   */
  auditBy: string;

  /**
   * 审核时间
   */
  auditTime: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus: string;

  /**
   * 审核意见
   */
  auditComments: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty: number;

}

export interface MoveOrderForm extends BaseEntity {
  /**
   * 表主键
   */
  moveId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 计划库位
   */
  planLocationCode?: string;

  /**
   * 工单状态(0执行中，1完成，2关闭)
   */
  orderStatus?: string;

  /**
   * 目标库位
   */
  targetLocationCode?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

}

export interface MoveOrderQuery extends PageQuery {

  /**
   * 表主键
   */
  moveId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 计划库位
   */
  planLocationCode?: number;

  /**
   * 工单状态(0执行中，1完成，2关闭)
   */
  orderStatus?: string;

  /**
   * 目标库位
   */
  targetLocationCode?: number;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



